Create Price Point errors
The Create Price Point endpoint might issue the following error messages:| Error code | Error Message | Description |
|---|---|---|
400 | Invalid request body | The request body failed schema validation. |
400 | Country code ZZ not found in existing custom pricing. | The country code doesn’t exist in custom pricing. |
409 | Cannot create new pricing. The price point already exists. | The price point already exists. |
Get Price Point errors
The Get Price Point endpoint might issue the following error messages:| Error code | Error Message | Description |
|---|---|---|
404 | Price point 999 not found. | The requested price point wasn’t found. |
Get Price Points for a Country errors
The Get Price Points for a Country endpoint might issue the following error messages:| Error code | Error Message | Description |
|---|---|---|
400 | Too many price points used, maximum is 50 | More than 50 pricesInUsdCents values. |
400 | Invalid priceInUsdCents value: must be a positive integer [invalid1, invalid2]. | Invalid pricesInUsdCents value. |
400 | Invalid countryCode2: must be ISO 3166-1 alpha-2. | Invalid countryCode2 value. |
400 | countryCode2 XX is not supported. | countryCode2 not supported. |
401 | Unauthorized | The publisher token is missing or invalid. |
429 | Rate limit exceeded. | The request exceeded the rate limit of 5,000 requests per minute. |
Update Price Point errors
The Update Price Point endpoint might issue the following error messages:| Error code | Error Message | Description |
|---|---|---|
400 | Invalid request body | The request body failed schema validation. |
400 | Country code ZZ not found in existing custom pricing. | The country code doesn’t exist in custom pricing. |
404 | Price point 999 not found. | The requested price point wasn’t found. |
409 | Cannot create new pricing. The price point already exists. | The price point already exists. |
Delete Price Point errors
The Delete Price Point endpoint might issue the following error messages:| Error code | Error Message | Description |
|---|---|---|
404 | Price point 999 not found. | The requested price point wasn’t found. |
